Saltar al contenido principal
PUT
/
v1
/
warehouse
/
receipts
/
{receiptReference}
/
lines
/
{lineReference}
Updates a line from the receipt
curl --request PUT \
  --url https://api.bold-factory.com/v1/warehouse/receipts/{receiptReference}/lines/{lineReference} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "quantity": 123,
  "totalPrice": {
    "amount": 123,
    "currency": "EUR"
  },
  "lotNumber": "<string>"
}
'
{
  "type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
  "title": "Filter parsing failed",
  "status": 400,
  "detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
  "instance": "POST /v1/items/products/search",
  "code": "FILTER_PARSING_FAILED"
}

Autorizaciones

Authorization
string
header
requerido

Use a valid JWT token in the Authorization header with the format 'Bearer {token}'

Parámetros de ruta

receiptReference
string
requerido
lineReference
string
requerido

Cuerpo

application/json
quantity
number<double>
requerido
totalPrice
object
requerido
lotNumber
null | string

Respuesta

No Content